steps:
- name: docker-build-only
  image: woodpeckerci/plugin-docker-buildx
  privileged: true
  settings:
    repo: git.faercol.me/faercol/hugo-relie
    tags: latest
    dry_run: true
    platforms:
      - linux/amd64
  when:
    branch:
      exclude:
        - main

- name: docker-build-push
  image: woodpeckerci/plugin-docker-buildx
  privileged: true
  settings:
    repo: git.faercol.me/faercol/hugo-relie
    registry: git.faercol.me
    tags: latest
    username:
      from_secret: GIT_USERNAME
    password:
      from_secret: GIT_PASSWORD
    platforms:
      - linux/amd64
  when:
    branch:
      - main
